Bug 227052 - Review Request: emma-2.0-0.5312.1jpp - Code Coverage Tool
Review Request: emma-2.0-0.5312.1jpp - Code Coverage Tool
Status: CLOSED DUPLICATE of bug 444511
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
: 252065 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:34 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 21:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:34:31 EST
Spec URL: http://people.redhat.com/rafaels/specs/emma-2.0-0.5312.1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/emma-2.0-0.5312.1jpp.src.rpm
Description: EMMA is an open-source toolkit for measuring and reporting Java
code coverage. EMMA distinguishes itself from other tools by going
after a unique feature combination: support for large-scale
enterprise software development while keeping individual developer's
work fast and iterative.
Comment 1 Vivek Lakshmanan 2007-08-13 17:32:22 EDT
*** Bug 252065 has been marked as a duplicate of this bug. ***
Comment 2 Rudolf Kastl 2007-09-27 10:13:40 EDT
build failure on rawhide:

+ ant -Dbuild.compiler=modern
Buildfile: build.xml

init.work.dirs:
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/dist
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/release
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/temp
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/tools/classes
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/classes
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/srcgen
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/res
    [mkdir] Created dir: /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/ant/classes

init:
     [echo] ANT version: Apache Ant version 1.7.0 compiled on August 16 2007
     [echo] JDK version: 1.6
     [echo] build debug flag: on

-timestamp.1:

-timestamp.2:
     [echo] build id: 2.0.8127 (unsupported private build)

-timestamp.2a:

-timestamp.3:

build.cvs.ready:

-timestamp.4:

-timestamp.5:
     [copy] Copying 1 file to
/home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/srcgen
     [copy] Copying 1 file to /home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/temp

timestamp:

-pre-compile:

core.bootstrap.compile:
    [javac] Compiling 2 source files to
/home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/classes
    [javac] 
    [javac]           WARNING
    [javac] 
    [javac] The -source switch defaults to 1.5 in JDK 1.5 and 1.6.
    [javac] If you specify -target 1.2 you now must also specify -source 1.2.
    [javac] Ant will implicitly add -source 1.2 for you.  Please change your
build file.

core.java14.compile:
    [javac] Compiling 1 source file to
/home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/classes
    [javac] 
    [javac]           WARNING
    [javac] 
    [javac] The -source switch defaults to 1.5 in JDK 1.5 and 1.6.
    [javac] If you specify -target 1.2 you now must also specify -source 1.2.
    [javac] Ant will implicitly add -source 1.2 for you.  Please change your
build file.

core.java13.compile:
    [javac] Compiling 1 source file to
/home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/classes
    [javac] 
    [javac]           WARNING
    [javac] 
    [javac] The -source switch defaults to 1.5 in JDK 1.5 and 1.6.
    [javac] If you specify -target 1.2 you now must also specify -source 1.2.
    [javac] Ant will implicitly add -source 1.2 for you.  Please change your
build file.

core.compile:
    [javac] Compiling 165 source files to
/home/rkastl/rpmbuild/BUILD/emma-2.0.5312/out/core/classes
    [javac] 
    [javac]           WARNING
    [javac] 
    [javac] The -source switch defaults to 1.5 in JDK 1.5 and 1.6.
    [javac] If you specify -target 1.2 you now must also specify -source 1.2.
    [javac] Ant will implicitly add -source 1.2 for you.  Please change your
build file.
    [javac]
/home/rkastl/rpmbuild/BUILD/emma-2.0.5312/core/java12/com/vladium/emma/rt/InstrClassLoader.java:346:
reference to CodeSource is ambiguous, both method
CodeSource(java.net.URL,java.security.cert.Certificate[]) in
java.security.CodeSource and method
CodeSource(java.net.URL,java.security.CodeSigner[]) in java.security.CodeSource
match
    [javac]         final CodeSource csrc = new CodeSource (srcURL, null);
    [javac]                                 ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 error

BUILD FAILED
Comment 3 Thomas Fitzsimmons 2008-05-27 21:00:15 EDT

*** This bug has been marked as a duplicate of 444511 ***

Note You need to log in before you can comment on or make changes to this bug.